# $Revision: 1.24 $, $Date: 2011/01/23 01:22:33 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	IPv4
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - IPv4 network calculations and validation
Summary(pl.UTF-8):	%{_pearname} - obliczanie i kontrola adresów sieciowych IPv4
Name:		php-pear-%{_pearname}
Version:	1.3.4
Release:	1
License:	PHP 2.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	0fbb25a20b51ca6a77d99819418a8a54
URL:		http://pear.php.net/package/Net_IPv4/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class used for calculating IPv4 (AF_INET family) address information
such as network addresses as well as IP address validity.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa służy do obliczania informacji o adresach sieciowych IPv4
(rodzina AF_INET) takich jak adresy sieci, a także sprawdzania
poprawności adresów IP.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_IPv4.spec,v $
Revision 1.24  2011/01/23 01:22:33  sparky
- tests are no longer installed - don't try to remove them

Revision 1.23  2010/09/21 08:53:41  glen
- updated to: 1.3.4

Revision 1.22  2010/08/19 19:49:14  glen
- up to 1.3.2

Revision 1.21  2008/01/31 12:16:08  glen
- rel 2

Revision 1.20  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.18  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.16  2005/12/08 17:03:44  glen
- 1.3.0

Revision 1.15  2005/10/05 20:59:32  glen
- rel 3

Revision 1.14  2005/09/28 23:50:37  glen
- new pear packaging

Revision 1.13  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.12  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.11  2004/05/01 17:40:38  adamg
- updated to 1.2

Revision 1.10  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.9  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.7  2003/06/22 20:12:47  adamg
- updated to 1.1
- added PEAR status information
- fixed License

Revision 1.6  2003/05/28 08:58:44  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/10/14 23:48:29  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.3  2002/09/15 10:46:31  blues
- fix in macros

Revision 1.2  2002/08/31 12:21:48  qboosh
- pl description, release 2

Revision 1.1  2002/08/27 15:14:57  blues
- initial release - STBR
